Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class TaskInfo

    java.lang.Object
      com.bea.wli.worklist.api.TaskInfo

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TaskData

    public class TaskInfo

extends Object
implements Serializable

Deprecated: You should not use this class directly. Use TaskQuery instead. In a future release, this class will be removed.

This class provides information about the runtime state of a Task. The method getTaskInfoXML() returns the task runtime information as an TaskInfoXMLDocument which may be more convenient to manipulate. TaskInfoXMLDocument is an XmlObject.

Deprecated: You should not use this class directly. Use TaskData instead. In a future release, this class will be removed.

Since:
  8.1
See Also:
  Serialized Form

Field Summary
`String` | `owner` The Task owner

Constructor Summary
`TaskInfo()` Basic constructor
`TaskInfo(String taskId, String name, String parentProcessUri, String parentProcessId, Assignee assignee, String claimant, String owner, StateType stateType, Integer priority, Date completionDueDate, Date claimDueDate, Date creationDate, Boolean canBeReassigned, Boolean canBeReturned, Boolean canBeAborted, String description, String comment, String requestType, String responseType)` Deprecated.
`TaskInfo(String taskId, String name, String parentProcessUri, String parentProcessId, Assignee assignee, String claimant, String owner, StateType stateType, Integer priority, Date completionDueDate, Date claimDueDate, Date creationDate, Boolean canBeReassigned, Boolean canBeReturned, Boolean canBeAborted, String description, String comment, String requestType, String responseType, byte[] requestMessage, byte[] responseMessage)` Deprecated.
`TaskInfo(String taskId, String name, String parentProcessUri, String parentProcessId, Assignee assignee, String claimant, String owner, StateType stateType, Integer priority, Date completionDueDate, Date claimDueDate, Date creationDate, Boolean canBeReassigned, Boolean canBeReturned, Boolean canBeAborted, String description, String comment, String requestType, String responseType, byte[] requestMessage, byte[] responseMessage, Map properties)` Deprecated.
`TaskInfo(TaskInfo info)` Copy constructor

Method Summary
`boolean` | `equals(Object other)`
`Assignee` | `getAssignee()`
`Boolean` | `getCanBeAborted()` Deprecated.
`Boolean` | `getCanBeReassigned()` Deprecated.
`Boolean` | `getCanBeReturned()` Deprecated.
`String` | `getClaimant()`
`Date` | `getClaimDueDate()` Deprecated.
`String` | `getComment()`
`Date` | `getCompletionDueDate()`
`Date` | `getCreationDate()`
`String` | `getDescription()` Deprecated.
`String` | `getName()`
`String` | `getOwner()`
`String` | `getParentProcessId()` Deprecated.
`String` | `getParentProcessUri()` Deprecated.
`Integer` | `getPriority()`
`Map` | `getProperties()` Deprecated. Use getUserProperties instead.
`byte[]` | `getRequestMessage()` Deprecated. Use custom task plans and properties instead
`XmlObject` | `getRequestMessageAsXmlObject()` Deprecated. Use custom task plans and properties instead
`String` | `getRequestType()` Deprecated. Use custom task plans and properties instead
`byte[]` | `getResponseMessage()` Deprecated. Use custom task plans and properties instead
`XmlObject` | `getResponseMessageAsXmlObject()` Deprecated. Use custom task plans and properties instead
`String` | `getResponseType()` Deprecated. Use custom task plans and properties instead
`StateType` | `getStateType()` Deprecated.
`String` | `getTaskId()`
`TaskInfoXMLDocument` | `getTaskInfoXML()` Deprecated. Use TaskData.getTaskDataXML
`int` | `hashCode()`
`protected void` | `initTaskInfoXML(TaskInfoXMLType xml)`
`protected String` | `internalToString()`
`void` | `setAssignee(Assignee assignee)`
`void` | `setCanBeAborted(Boolean canBeAborted)` Deprecated.
`void` | `setCanBeReassigned(Boolean canBeReassigned)` Deprecated.
`void` | `setCanBeReturned(Boolean canBeReturned)` Deprecated.
`void` | `setClaimant(String claimant)`
`void` | `setClaimDueDate(Date claimDueDate)` Deprecated.
`void` | `setComment(String comment)`
`void` | `setCompletionDueDate(Date completionDueDate)`
`void` | `setCreationDate(Date creationDate)`
`void` | `setDescription(String description)` Deprecated.
`void` | `setName(String name)`
`void` | `setOwner(String owner)`
`void` | `setParentProcessId(String parentProcessId)` Deprecated.
`void` | `setParentProcessUri(String parentProcessUri)` Deprecated.
`void` | `setPriority(Integer priority)`
`void` | `setProperties(Map props)` Deprecated. Use setUserProperties instead.
`void` | `setRequestMessage(byte[] message)` Deprecated. Use custom task plans and properties instead
`void` | `setRequestType(String requestType)` Deprecated. Use custom task plans and properties instead
`void` | `setResponseMessage(byte[] message)` Deprecated. Use custom task plans and properties instead
`void` | `setResponseType(String responseType)` Deprecated. Use custom task plans and properties instead
`void` | `setStateType(StateType stateType)` Deprecated.
`void` | `setTaskId(String taskId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### owner

    public String owner

  The Task owner

Constructor Detail

### TaskInfo

    public TaskInfo()

  Basic constructor

### TaskInfo

    public TaskInfo(TaskInfo info)

  Copy constructor

### TaskInfo

    public TaskInfo(String taskId,
                    String name,
                    String parentProcessUri,
                    String parentProcessId,
                    Assignee assignee,
                    String claimant,
                    String owner,
                    StateType stateType,
                    Integer priority,
                    Date completionDueDate,
                    Date claimDueDate,
                    Date creationDate,
                    Boolean canBeReassigned,
                    Boolean canBeReturned,
                    Boolean canBeAborted,
                    String description,
                    String comment,
                    String requestType,
                    String responseType)

  Deprecated.

  Constructor with initialization fields

### TaskInfo

    public TaskInfo(String taskId,
                    String name,
                    String parentProcessUri,
                    String parentProcessId,
                    Assignee assignee,
                    String claimant,
                    String owner,
                    StateType stateType,
                    Integer priority,
                    Date completionDueDate,
                    Date claimDueDate,
                    Date creationDate,
                    Boolean canBeReassigned,
                    Boolean canBeReturned,
                    Boolean canBeAborted,
                    String description,
                    String comment,
                    String requestType,
                    String responseType,
                    byte[] requestMessage,
                    byte[] responseMessage)

  Deprecated.

### TaskInfo

    public TaskInfo(String taskId,
                    String name,
                    String parentProcessUri,
                    String parentProcessId,
                    Assignee assignee,
                    String claimant,
                    String owner,
                    StateType stateType,
                    Integer priority,
                    Date completionDueDate,
                    Date claimDueDate,
                    Date creationDate,
                    Boolean canBeReassigned,
                    Boolean canBeReturned,
                    Boolean canBeAborted,
                    String description,
                    String comment,
                    String requestType,
                    String responseType,
                    byte[] requestMessage,
                    byte[] responseMessage,
                    Map properties)

  Deprecated.

Method Detail

### setCanBeAborted

    public void setCanBeAborted(Boolean canBeAborted)

  Deprecated.

### getCanBeAborted

    public Boolean getCanBeAborted()

  Deprecated.

### setCanBeReassigned

    public void setCanBeReassigned(Boolean canBeReassigned)

  Deprecated.

### getCanBeReassigned

    public Boolean getCanBeReassigned()

  Deprecated.

### setCanBeReturned

    public void setCanBeReturned(Boolean canBeReturned)

  Deprecated.

### getCanBeReturned

    public Boolean getCanBeReturned()

  Deprecated.

### setClaimDueDate

    public void setClaimDueDate(Date claimDueDate)

  Deprecated.

### getClaimDueDate

    public Date getClaimDueDate()

  Deprecated.

### setCompletionDueDate

    public void setCompletionDueDate(Date completionDueDate)

### getCompletionDueDate

    public Date getCompletionDueDate()

### setCreationDate

    public void setCreationDate(Date creationDate)

### getCreationDate

    public Date getCreationDate()

### setComment

    public void setComment(String comment)

### getComment

    public String getComment()

### setDescription

    public void setDescription(String description)

  Deprecated.

### getDescription

    public String getDescription()

  Deprecated.

### setName

    public void setName(String name)

### getName

    public String getName()

### setTaskId

    public void setTaskId(String taskId)

### getTaskId

    public String getTaskId()

### setOwner

    public void setOwner(String owner)

### getOwner

    public String getOwner()

### setClaimant

    public void setClaimant(String claimant)

### getClaimant

    public String getClaimant()

### setAssignee

    public void setAssignee(Assignee assignee)

### getAssignee

    public Assignee getAssignee()

### setStateType

    public void setStateType(StateType stateType)

  Deprecated.

### getStateType

    public StateType getStateType()

  Deprecated.

### setPriority

    public void setPriority(Integer priority)

### getPriority

    public Integer getPriority()

### setParentProcessUri

    public void setParentProcessUri(String parentProcessUri)

  Deprecated.

### getParentProcessUri

    public String getParentProcessUri()

  Deprecated.

### setParentProcessId

    public void setParentProcessId(String parentProcessId)

  Deprecated.

### getParentProcessId

    public String getParentProcessId()

  Deprecated.

### setResponseType

    public void setResponseType(String responseType)

  Deprecated. Use custom task plans and properties instead

### getResponseType

    public String getResponseType()

  Deprecated. Use custom task plans and properties instead

### setRequestType

    public void setRequestType(String requestType)

  Deprecated. Use custom task plans and properties instead

### getRequestType

    public String getRequestType()

  Deprecated. Use custom task plans and properties instead

### getRequestMessage

    public byte[] getRequestMessage()

  Deprecated. Use custom task plans and properties instead

### getRequestMessageAsXmlObject

    public XmlObject getRequestMessageAsXmlObject()
                                           throws ManagementException

  Deprecated. Use custom task plans and properties instead

  Get the request message for this task as an XmlObject. This method returns a generic XmlObject instance because it does not have any type information for the actual user XMLBean type. However, the runtime type of the returned XmlObject will match the typed XMLBean type you set onto the request in the first place. This means you can cast the returned XmlObject to your specific XMLBean type.

  Returns:
    An XmlObject or null if no request was set.
  Throws:
    `ManagementException` - If the request cannot be interpreted as an XmlObject or any error occurs creating the XmlObject from the request.

### setRequestMessage

    public void setRequestMessage(byte[] message)

  Deprecated. Use custom task plans and properties instead

### getResponseMessage

    public byte[] getResponseMessage()

  Deprecated. Use custom task plans and properties instead

### getResponseMessageAsXmlObject

    public XmlObject getResponseMessageAsXmlObject()
                                            throws ManagementException

  Deprecated. Use custom task plans and properties instead

  Get the response message for this task as an XmlObject. This method returns a generic XmlObject instance because it does not have any type information for the actual user XMLBean type. However, the runtime type of the returned XmlObject will match the typed XMLBean type you set onto the request in the first place. This means you can cast the returned XmlObject to your specific XMLBean type.

  Returns:
    An XmlObject or null if no response was set.
  Throws:
    `ManagementException` - If the response cannot be interpreted as an XmlObject or any error occurs creating the XmlObject from the response.

### setResponseMessage

    public void setResponseMessage(byte[] message)

  Deprecated. Use custom task plans and properties instead

### getProperties

    public Map getProperties()

  Deprecated. Use getUserProperties instead.

  See Also:
    `TaskData.getUserProperties()`

### setProperties

    public void setProperties(Map props)

  Deprecated. Use setUserProperties instead.

  See Also:
    `TaskData#setUserProperties(java.util.Map)`

### getTaskInfoXML

    public TaskInfoXMLDocument getTaskInfoXML()

  Deprecated. Use TaskData.getTaskDataXML

  See Also:
    `TaskData.getTaskDataXML()`

### initTaskInfoXML

    protected void initTaskInfoXML(TaskInfoXMLType xml)

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### internalToString

    protected String internalToString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD